Pastebin launched a little side project called VERYVIRAL.com, check it out ;-) Want more features on Pastebin? Sign Up, it's FREE!

ruby-msgpack 0.5.8 PKGBUILD

By: AndrzejL on Dec 30th, 2013  |  syntax: None  |  size: 0.68 KB  |  views: 307  |  expires: Never
download  |  raw  |  embed  |  report abuse  |  print
Text below is selected. Please press Ctrl+C to copy to your clipboard. (⌘+C on Mac)
  1. # Maintainer: AlexanderR <alexander r at gmx com>
  2. _gemname=msgpack
  3. pkgname=ruby-$_gemname
  4. pkgver=0.5.8
  5. pkgrel=1
  6. pkgdesc='Binary-based efficient data interchange format support.'
  7. arch=('i686' 'x86_64')
  8. url='https://github.com/msgpack/msgpack-ruby'
  9. license=('Apache')
  10. depends=(ruby1.9)
  11. source=(http://gems.rubyforge.org/gems/$_gemname-$pkgver.gem)
  12. noextract=($_gemname-$pkgver.gem)
  13. md5sums=('77a79c4421f773c97bb4f068058fc8b4')
  14.  
  15. package() {
  16.   cd "$srcdir"
  17.   local _gemdir="$(ruby-1.9 -rubygems -e'puts Gem.default_dir')"
  18.  
  19.   gem-1.9 install --ignore-dependencies -i "$pkgdir$_gemdir" -n "$pkgdir/usr/bin" \
  20.     "$_gemname-$pkgver.gem" --no-user-install
  21. }
  22.  
  23. # vim:set ts=2 sw=2 et: